Skip to main content
GET
Return a list of devices with localized values filterable by status, asset number, serial number, and uid (or peopleId)

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

limit
number

Limit the number of results returned. Maximum 200.

必須範囲: x <= 200
:

50

cursor
string

Cursor to paginate through results.

locale
enum<string>
必須

Translate the field names and labels to the specified locale.

利用可能なオプション:
en,
ja
type
enum<string>

Filter by device type.

利用可能なオプション:
pc,
phone,
other
status
enum<string>

Filter by device status.

利用可能なオプション:
in_stock,
pre_use,
active,
missing,
malfunction,
decommissioned,
on_order
asset_number
string

Filter by asset number.

:

"MF-123-01"

serial_number
string

Filter by serial number.

:

"MF4XFR9P7KY"

identityId
string

Filter by identity Id of the user assigned to this device. identityId has precedence over peopleId.

:

"TALWESJ9WC"

peopleId
number

Filter by people Id of the user assigned to this device. If identityId is present, peopleId takes precedence over identityId.

:

5034567

expands
enum<string>[]

Expand other datasets when fetching devices. Accepts multiple options.

利用可能なオプション:
relatedIdentity,
customFieldsMetadata

レスポンス

meta
object
必須

Pagination metadata including cursor for next page

items
object[]
必須

List of devices matching the query criteria

最終更新日 2026年8月14日